Merge branch 'bc/portable' into next

* bc/portable:
  t/aggregate-results: accomodate systems with small max argument list length
  t/t7006: ignore return status of shell's unset builtin
  t/t5150: remove space from sed script
  git-request-pull.sh: remove -e switch to shell interpreter which breaks ksh
  t/t5800: skip if python version is older than 2.5
This commit is contained in:
Junio C Hamano
2010-06-07 22:15:47 -07:00
6 changed files with 25 additions and 17 deletions

View File

@@ -1,4 +1,4 @@
#!/bin/sh -e
#!/bin/sh
# Copyright 2005, Ryan Anderson <ryan@michonline.com>
#
# This file is licensed under the GPL v2, or a later version
@@ -70,10 +70,10 @@ git show -s --format='The following changes since commit %H:
%s (%ci)
are available in the git repository at:' $baserev
echo " $url $branch"
echo
are available in the git repository at:' $baserev &&
echo " $url $branch" &&
echo &&
git shortlog ^$baserev $headrev
git diff -M --stat --summary $patch $merge_base..$headrev
git shortlog ^$baserev $headrev &&
git diff -M --stat --summary $patch $merge_base..$headrev || exit
exit $status

View File

@@ -36,7 +36,9 @@ aggregate-results-and-cleanup: $(T)
$(MAKE) clean
aggregate-results:
'$(SHELL_PATH_SQ)' ./aggregate-results.sh test-results/t*-*
for f in test-results/t*-*; do \
echo "$$f"; \
done | '$(SHELL_PATH_SQ)' ./aggregate-results.sh
# we can test NO_OPTIMIZE_COMMITS independently of LC_ALL
full-svn-test:

View File

@@ -6,7 +6,7 @@ failed=0
broken=0
total=0
for file
while read file
do
while read type value
do

View File

@@ -67,7 +67,7 @@ test_expect_success 'setup: two scripts for reading pull requests' '
cat <<-\EOT >read-request.sed &&
#!/bin/sed -nf
/ in the git repository at:$/! d
/ in the git repository at:$/!d
n
/^$/ n
s/^[ ]*\(.*\) \([^ ]*\)/please pull\
@@ -102,7 +102,7 @@ test_expect_success 'setup: two scripts for reading pull requests' '
/^ [a-zA-Z]/ n
/^[a-zA-Z]* ([0-9]*):\$/ n
/^\$/ N
/^\n[a-zA-Z]* ([0-9]*):\$/! {
/^\n[a-zA-Z]* ([0-9]*):\$/!{
a\\
SHORTLOG
D

View File

@@ -7,9 +7,15 @@ test_description='Test remote-helper import and export commands'
. ./test-lib.sh
if ! test_have_prereq PYTHON
if test_have_prereq PYTHON && "$PYTHON_PATH" -c '
import sys
if sys.hexversion < 0x02050000:
sys.exit(1)
'
then
say 'skipping git remote-testgit tests: requires Python support'
:
else
say 'skipping git remote-testgit tests: requires Python 2.5 or newer'
test_done
fi

View File

@@ -40,7 +40,7 @@ else
fi
test_expect_success 'setup' '
unset GIT_PAGER GIT_PAGER_IN_USE &&
unset GIT_PAGER GIT_PAGER_IN_USE;
test_might_fail git config --unset core.pager &&
PAGER="cat >paginated.out" &&
@@ -159,7 +159,7 @@ test_expect_success 'color when writing to a file intended for a pager' '
'
test_expect_success 'determine default pager' '
unset PAGER GIT_PAGER &&
unset PAGER GIT_PAGER;
test_might_fail git config --unset core.pager ||
cleanup_fail &&
@@ -173,7 +173,7 @@ then
fi
test_expect_success SIMPLEPAGER 'default pager is used by default' '
unset PAGER GIT_PAGER &&
unset PAGER GIT_PAGER;
test_might_fail git config --unset core.pager &&
rm -f default_pager_used ||
cleanup_fail &&
@@ -192,7 +192,7 @@ test_expect_success SIMPLEPAGER 'default pager is used by default' '
'
test_expect_success TTY 'PAGER overrides default pager' '
unset GIT_PAGER &&
unset GIT_PAGER;
test_might_fail git config --unset core.pager &&
rm -f PAGER_used ||
cleanup_fail &&
@@ -204,7 +204,7 @@ test_expect_success TTY 'PAGER overrides default pager' '
'
test_expect_success TTY 'core.pager overrides PAGER' '
unset GIT_PAGER &&
unset GIT_PAGER;
rm -f core.pager_used ||
cleanup_fail &&